dbXML API

## com.dbxml.db.enterprise.jsp
Class ConnectionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.dbxml.db.enterprise.jsp.ConnectionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, PropertyContainer, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ConnectionTag
extends javax.servlet.jsp.tagext.BodyTagSupport
implements PropertyContainer

ConnectionTag creates a reference to a dbXMLClient.
Example:

       <dbxml:connection name="myCon">
          <dbxml:property name="host" value="myhost.com"/>
       </dbxml:connection>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ConnectionTag()`

Method Summary
`int` `doEndTag()`
`java.lang.String` `getDriver()`
`java.lang.String` `getName()`
`void` `setDriver(java.lang.String driver)`
`void` `setName(java.lang.String name)`
`void` `setProperty(java.lang.String name, java.lang.String value)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ConnectionTag

    public ConnectionTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDriver

    public java.lang.String getDriver()

### setDriver

    public void setDriver(java.lang.String driver)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Specified by:
    `setProperty` in interface `PropertyContainer`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Throws:
    `javax.servlet.jsp.JspException`

dbXML API

Copyright (c) 2004 The dbXML Group